[arch-commits] CVS update of extra/multimedia/xine-ui (PKGBUILD xine.install)

Thomas Baechler thomas at archlinux.org
Thu Jun 7 10:24:30 EDT 2007


    Date: Thursday, June 7, 2007 @ 10:24:30
  Author: thomas
    Path: /home/cvs-extra/extra/multimedia/xine-ui

   Added: PKGBUILD (1.1) xine.install (1.1)

moved in from current


--------------+
 PKGBUILD     |   29 +++++++++++++++++++++++++++++
 xine.install |   15 +++++++++++++++
 2 files changed, 44 insertions(+)


Index: extra/multimedia/xine-ui/PKGBUILD
diff -u /dev/null extra/multimedia/xine-ui/PKGBUILD:1.1
--- /dev/null	Thu Jun  7 10:24:29 2007
+++ extra/multimedia/xine-ui/PKGBUILD	Thu Jun  7 10:24:29 2007
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD,v 1.1 2007/06/07 14:24:29 thomas Exp $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=xine-ui
+pkgver=0.99.5
+pkgrel=1
+pkgdesc="A free video player for Unix"
+arch=(i686 x86_64)
+license=('GPL')
+depends=(xine-lib curl libxtst libxinerama libxv libpng libxft libsm libxxf86vm)
+makedepends=(lirc)
+url="http://xinehq.de/"
+source=(http://downloads.sourceforge.net/sourceforge/xine/$pkgname-$pkgver.tar.gz)
+install=xine.install
+md5sums=('e643cd1fcad4d98a5ae4eb877ce5087b')
+options=(!emptydirs)
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  
+  #add missing constant (defined in xine.h from xine-lib cvs)
+  echo '#define XINE_MSG_AUDIO_OUT_UNAVAILABLE 11' >> src/xitk/common.h
+  ./configure --prefix=/usr --with-curses --with-x --enable-lirc --without-aalib
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+  mkdir -p $startdir/pkg/usr/share/applications
+  echo "Categories=Application;AudioVideo;" >> $startdir/pkg/usr/share/xine/desktop/xine.desktop
+  mv $startdir/pkg/usr/share/xine/desktop/xine.desktop $startdir/pkg/usr/share/applications
+}
Index: extra/multimedia/xine-ui/xine.install
diff -u /dev/null extra/multimedia/xine-ui/xine.install:1.1
--- /dev/null	Thu Jun  7 10:24:29 2007
+++ extra/multimedia/xine-ui/xine.install	Thu Jun  7 10:24:30 2007
@@ -0,0 +1,15 @@
+# arg 1:  the new package version
+post_install() {
+  echo ">>> xine-ui now has optional lirc support"
+  echo ">>> install the 'lirc' package to use it"
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list